Summary: GNU groff text formatting package
Name: groff
Version: 1.11a
Release: 3
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu/pub/gnu/groff-1.11a.tar.gz
Source1: troff-to-ps.fpi
Patch:  groff-1.11-make.patch
Patch1: groff-1.11-safer.patch
Requires: mktemp

%changelog

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>

- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>

- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>

- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>

- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
The groff text formatting system can be used to create professional
looking documents on both paper and a computer screen.  All the man
pages are processed with groff, so you'll need this package to read
man pages.

%package gxditview
Summary: GNU groff X previewer
Group: Applications/Publishing

%description gxditview
The package contains the gxditview program, which can be used to
format and view groff documents in X Windows.  For example, man
pages can be read using gxditview.

%package tools
Summary: Miscellaneous tools used with groff. 
Group: Applications/Publishing

%description tools
Miscellaneous tools used with groff, which pertain to font handling and
aoutmatic option processing.

%prep
%setup -n groff-1.11
%patch -p1
%patch1 -p1

%build
CXX='gcc' CC='gcc' CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make
cd xditview
xmkmf
make

%install
rm -rf /usr/lib/groff
make install
ln -sf tmac.s /usr/lib/groff/tmac/tmac.gs
ln -sf tmac.mse /usr/lib/groff/tmac/tmac.gmse
ln -sf tmac.m /usr/lib/groff/tmac/tmac.gm
ln -sf troff /usr/bin/gtroff
ln -sf tbl /usr/bin/gtbl
ln -sf pic /usr/bin/gpic
ln -sf eqn /usr/bin/geqn
ln -sf neqn /usr/bin/gneqn
ln -sf refer /usr/bin/grefer
ln -sf lookbib /usr/bin/glookbib
ln -sf indxbib /usr/bin/gindxbib
ln -sf soelim /usr/bin/gsoelim
ln -sf nroff /usr/bin/gnroff
ln -sf eqn.1 /usr/man/man1/geqn.1
ln -sf indxbib.1 /usr/man/man1/gindxbib.1
ln -sf lookbib.1 /usr/man/man1/glookbib.1
ln -sf nroff.1 /usr/man/man1/gnroff.1
ln -sf pic.1 /usr/man/man1/gpic.1
ln -sf refer.1 /usr/man/man1/grefer.1
ln -sf soelim.1 /usr/man/man1/gsoelim.1
ln -sf tbl.1 /usr/man/man1/gtbl.1
ln -sf troff.1 /usr/man/man1/gtroff.1

mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/
install -m755 $RPM_SOURCE_DIR/troff-to-ps.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

cd xditview
make install
make install.man

strip /usr/bin/addftinfo /usr/bin/eqn /usr/bin/grodvi /usr/bin/groff
strip /usr/bin/grolj4 /usr/bin/grops /usr/bin/grotty /usr/bin/hpftodit
strip /usr/bin/indxbib /usr/bin/lkbib /usr/bin/lookbib /usr/bin/pfbtops
strip /usr/bin/pic /usr/bin/psbb /usr/bin/refer /usr/bin/soelim /usr/bin/tbl
strip /usr/bin/tfmtodit /usr/bin/troff

%files
/usr/lib/groff

/usr/bin/addftinfo
/usr/bin/eqn
/usr/bin/geqn
/usr/bin/gindxbib
/usr/bin/glookbib
/usr/bin/gneqn
/usr/bin/gnroff
/usr/bin/gpic
/usr/bin/grefer
/usr/bin/grodvi
/usr/bin/groff
/usr/bin/grolj4
/usr/bin/grops
/usr/bin/grotty
/usr/bin/gsoelim
/usr/bin/gtbl
/usr/bin/gtroff
/usr/bin/hpftodit
/usr/bin/indxbib
/usr/bin/lkbib
/usr/bin/lookbib
/usr/bin/neqn
/usr/bin/nroff
/usr/bin/pfbtops
/usr/bin/pic
/usr/bin/psbb
/usr/bin/refer
/usr/bin/soelim
/usr/bin/tbl
/usr/bin/tfmtodit
/usr/bin/troff

/usr/man/man1/addftinfo.1
/usr/man/man1/eqn.1
/usr/man/man1/geqn.1
/usr/man/man1/gindxbib.1
/usr/man/man1/glookbib.1
/usr/man/man1/gnroff.1
/usr/man/man1/gpic.1
/usr/man/man1/grefer.1
/usr/man/man1/grodvi.1
/usr/man/man1/groff.1
/usr/man/man1/grolj4.1
/usr/man/man1/grops.1
/usr/man/man1/grotty.1
/usr/man/man1/gsoelim.1
/usr/man/man1/gtbl.1
/usr/man/man1/gtroff.1
/usr/man/man1/hpftodit.1
/usr/man/man1/indxbib.1
/usr/man/man1/lkbib.1
/usr/man/man1/lookbib.1
/usr/man/man1/nroff.1
/usr/man/man1/pfbtops.1
/usr/man/man1/pic.1
/usr/man/man1/psbb.1
/usr/man/man1/refer.1
/usr/man/man1/soelim.1
/usr/man/man1/tbl.1
/usr/man/man1/tfmtodit.1
/usr/man/man1/troff.1
/usr/man/man5/groff_font.5
/usr/man/man5/groff_out.5
/usr/man/man7/groff_char.7
/usr/man/man7/groff_mm.7
/usr/man/man7/groff_mmse.7
/usr/man/man7/groff_ms.7
/usr/man/man7/me.7
/usr/man/man7/msafer.7

/usr/lib/rhs/rhs-printfilters/troff-to-ps.fpi

%files gxditview
/usr/X11R6/bin/gxditview
%config /usr/X11R6/lib/X11/app-defaults/GXditview
/usr/X11R6/man/man1/gxditview.1x

%files tools
/usr/bin/afmtodit
/usr/man/man1/grog.1
/usr/bin/grog
/usr/man/man1/afmtodit.1
